From fed1fa17202cf13bf80bbbad3bf0ffdfd192df42 Mon Sep 17 00:00:00 2001
From: Alberto Milone <alberto.milone@canonical.com>
Date: Wed, 7 Nov 2012 12:11:02 +0100
Subject: [PATCH 1/1] Replace VM_RESERVED with VM_DONTEXPAND and VM_DONTDUMP

---
 nv-mmap.c |    4 ++++
 1 file changed, 4 insertions(+)

diff --git a/nv-mmap.c b/nv-mmap.c
index acc02ec..b2d5cdb 100644
--- a/nv-mmap.c
+++ b/nv-mmap.c
@@ -463,7 +463,11 @@ int nv_kern_mmap(
         NV_PRINT_AT(NV_DBG_MEMINFO, at);
         nv_vm_list_page_count(&at->page_table[i], pages);
 
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(3,7,0)
+        vma->vm_flags |= (VM_IO | VM_LOCKED | (VM_DONTEXPAND | VM_DONTDUMP));
+#else
         vma->vm_flags |= (VM_IO | VM_LOCKED | VM_RESERVED);
+#endif
 
 #if defined(VM_DRIVER_PAGES)
         vma->vm_flags |= VM_DRIVER_PAGES;
-- 
1.7.9.5

